%define upstream_name    HTTP-Date
%define upstream_version 6.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Date conversion for HTTP date formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
This module provides functions that deal the date formats used by the HTTP
protocol (and then some more). Only the first two functions, time2str() and
str2time(), are exported by default.

* time2str( [$time] )

  The time2str() function converts a machine time (seconds since epoch) to
  a string. If the function is called without an argument or with an
  undefined argument, it will use the current time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 6.20.0-3.mga4
+ Revision: 512172
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.20.0-2.mga3
+ Revision: 368269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 6.20.0-1.mga3
+ Revision: 255003
- update to 6.02

* Thu Feb 23 2012 jquelin <jquelin> 6.10.0-1.mga2
+ Revision: 212934
- update to 6.01

* Sat Feb 26 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 60797
- imported package perl-HTTP-Date


* Sat Feb 26 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
